Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network7.8.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
7.8.0.0
Broadcast address
7.15.255.255
First usable
7.8.0.1
Last usable
7.15.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 07080000 · Integer 117964800 to 118489087
Reverse DNS zones
8.7.in-addr.arpa
9.7.in-addr.arpa
10.7.in-addr.arpa
11.7.in-addr.arpa
12.7.in-addr.arpa
13.7.in-addr.arpa
14.7.in-addr.arpa
15.7.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000111.00001000.00000000.000000007.8.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00000111.00001000.00000000.000000007.8.0.0
Broadcast00000111.00001111.11111111.111111117.15.255.255
Split into smaller subnets/25

7.8.0.0/13 makes 4,096 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
17.8.0.0/257.8.0.1 to 7.8.0.1267.8.0.127126
27.8.0.128/257.8.0.129 to 7.8.0.2547.8.0.255126
37.8.1.0/257.8.1.1 to 7.8.1.1267.8.1.127126
47.8.1.128/257.8.1.129 to 7.8.1.2547.8.1.255126
57.8.2.0/257.8.2.1 to 7.8.2.1267.8.2.127126
67.8.2.128/257.8.2.129 to 7.8.2.2547.8.2.255126
77.8.3.0/257.8.3.1 to 7.8.3.1267.8.3.127126
87.8.3.128/257.8.3.129 to 7.8.3.2547.8.3.255126
97.8.4.0/257.8.4.1 to 7.8.4.1267.8.4.127126
107.8.4.128/257.8.4.129 to 7.8.4.2547.8.4.255126
117.8.5.0/257.8.5.1 to 7.8.5.1267.8.5.127126
127.8.5.128/257.8.5.129 to 7.8.5.2547.8.5.255126
137.8.6.0/257.8.6.1 to 7.8.6.1267.8.6.127126
147.8.6.128/257.8.6.129 to 7.8.6.2547.8.6.255126
157.8.7.0/257.8.7.1 to 7.8.7.1267.8.7.127126
167.8.7.128/257.8.7.129 to 7.8.7.2547.8.7.255126
177.8.8.0/257.8.8.1 to 7.8.8.1267.8.8.127126
187.8.8.128/257.8.8.129 to 7.8.8.2547.8.8.255126
197.8.9.0/257.8.9.1 to 7.8.9.1267.8.9.127126
207.8.9.128/257.8.9.129 to 7.8.9.2547.8.9.255126
217.8.10.0/257.8.10.1 to 7.8.10.1267.8.10.127126
227.8.10.128/257.8.10.129 to 7.8.10.2547.8.10.255126
237.8.11.0/257.8.11.1 to 7.8.11.1267.8.11.127126
247.8.11.128/257.8.11.129 to 7.8.11.2547.8.11.255126
257.8.12.0/257.8.12.1 to 7.8.12.1267.8.12.127126
267.8.12.128/257.8.12.129 to 7.8.12.2547.8.12.255126
277.8.13.0/257.8.13.1 to 7.8.13.1267.8.13.127126
287.8.13.128/257.8.13.129 to 7.8.13.2547.8.13.255126
297.8.14.0/257.8.14.1 to 7.8.14.1267.8.14.127126
307.8.14.128/257.8.14.129 to 7.8.14.2547.8.14.255126
317.8.15.0/257.8.15.1 to 7.8.15.1267.8.15.127126
327.8.15.128/257.8.15.129 to 7.8.15.2547.8.15.255126
337.8.16.0/257.8.16.1 to 7.8.16.1267.8.16.127126
347.8.16.128/257.8.16.129 to 7.8.16.2547.8.16.255126
357.8.17.0/257.8.17.1 to 7.8.17.1267.8.17.127126
367.8.17.128/257.8.17.129 to 7.8.17.2547.8.17.255126
377.8.18.0/257.8.18.1 to 7.8.18.1267.8.18.127126
387.8.18.128/257.8.18.129 to 7.8.18.2547.8.18.255126
397.8.19.0/257.8.19.1 to 7.8.19.1267.8.19.127126
407.8.19.128/257.8.19.129 to 7.8.19.2547.8.19.255126
417.8.20.0/257.8.20.1 to 7.8.20.1267.8.20.127126
427.8.20.128/257.8.20.129 to 7.8.20.2547.8.20.255126
437.8.21.0/257.8.21.1 to 7.8.21.1267.8.21.127126
447.8.21.128/257.8.21.129 to 7.8.21.2547.8.21.255126
457.8.22.0/257.8.22.1 to 7.8.22.1267.8.22.127126
467.8.22.128/257.8.22.129 to 7.8.22.2547.8.22.255126
477.8.23.0/257.8.23.1 to 7.8.23.1267.8.23.127126
487.8.23.128/257.8.23.129 to 7.8.23.2547.8.23.255126
497.8.24.0/257.8.24.1 to 7.8.24.1267.8.24.127126
507.8.24.128/257.8.24.129 to 7.8.24.2547.8.24.255126
517.8.25.0/257.8.25.1 to 7.8.25.1267.8.25.127126
527.8.25.128/257.8.25.129 to 7.8.25.2547.8.25.255126
537.8.26.0/257.8.26.1 to 7.8.26.1267.8.26.127126
547.8.26.128/257.8.26.129 to 7.8.26.2547.8.26.255126
557.8.27.0/257.8.27.1 to 7.8.27.1267.8.27.127126
567.8.27.128/257.8.27.129 to 7.8.27.2547.8.27.255126
577.8.28.0/257.8.28.1 to 7.8.28.1267.8.28.127126
587.8.28.128/257.8.28.129 to 7.8.28.2547.8.28.255126
597.8.29.0/257.8.29.1 to 7.8.29.1267.8.29.127126
607.8.29.128/257.8.29.129 to 7.8.29.2547.8.29.255126
617.8.30.0/257.8.30.1 to 7.8.30.1267.8.30.127126
627.8.30.128/257.8.30.129 to 7.8.30.2547.8.30.255126
637.8.31.0/257.8.31.1 to 7.8.31.1267.8.31.127126
647.8.31.128/257.8.31.129 to 7.8.31.2547.8.31.255126
657.8.32.0/257.8.32.1 to 7.8.32.1267.8.32.127126
667.8.32.128/257.8.32.129 to 7.8.32.2547.8.32.255126
677.8.33.0/257.8.33.1 to 7.8.33.1267.8.33.127126
687.8.33.128/257.8.33.129 to 7.8.33.2547.8.33.255126
697.8.34.0/257.8.34.1 to 7.8.34.1267.8.34.127126
707.8.34.128/257.8.34.129 to 7.8.34.2547.8.34.255126
717.8.35.0/257.8.35.1 to 7.8.35.1267.8.35.127126
727.8.35.128/257.8.35.129 to 7.8.35.2547.8.35.255126
737.8.36.0/257.8.36.1 to 7.8.36.1267.8.36.127126
747.8.36.128/257.8.36.129 to 7.8.36.2547.8.36.255126
757.8.37.0/257.8.37.1 to 7.8.37.1267.8.37.127126
767.8.37.128/257.8.37.129 to 7.8.37.2547.8.37.255126
777.8.38.0/257.8.38.1 to 7.8.38.1267.8.38.127126
787.8.38.128/257.8.38.129 to 7.8.38.2547.8.38.255126
797.8.39.0/257.8.39.1 to 7.8.39.1267.8.39.127126
807.8.39.128/257.8.39.129 to 7.8.39.2547.8.39.255126
817.8.40.0/257.8.40.1 to 7.8.40.1267.8.40.127126
827.8.40.128/257.8.40.129 to 7.8.40.2547.8.40.255126
837.8.41.0/257.8.41.1 to 7.8.41.1267.8.41.127126
847.8.41.128/257.8.41.129 to 7.8.41.2547.8.41.255126
857.8.42.0/257.8.42.1 to 7.8.42.1267.8.42.127126
867.8.42.128/257.8.42.129 to 7.8.42.2547.8.42.255126
877.8.43.0/257.8.43.1 to 7.8.43.1267.8.43.127126
887.8.43.128/257.8.43.129 to 7.8.43.2547.8.43.255126
897.8.44.0/257.8.44.1 to 7.8.44.1267.8.44.127126
907.8.44.128/257.8.44.129 to 7.8.44.2547.8.44.255126
917.8.45.0/257.8.45.1 to 7.8.45.1267.8.45.127126
927.8.45.128/257.8.45.129 to 7.8.45.2547.8.45.255126
937.8.46.0/257.8.46.1 to 7.8.46.1267.8.46.127126
947.8.46.128/257.8.46.129 to 7.8.46.2547.8.46.255126
957.8.47.0/257.8.47.1 to 7.8.47.1267.8.47.127126
967.8.47.128/257.8.47.129 to 7.8.47.2547.8.47.255126
977.8.48.0/257.8.48.1 to 7.8.48.1267.8.48.127126
987.8.48.128/257.8.48.129 to 7.8.48.2547.8.48.255126
997.8.49.0/257.8.49.1 to 7.8.49.1267.8.49.127126
1007.8.49.128/257.8.49.129 to 7.8.49.2547.8.49.255126
1017.8.50.0/257.8.50.1 to 7.8.50.1267.8.50.127126
1027.8.50.128/257.8.50.129 to 7.8.50.2547.8.50.255126
1037.8.51.0/257.8.51.1 to 7.8.51.1267.8.51.127126
1047.8.51.128/257.8.51.129 to 7.8.51.2547.8.51.255126
1057.8.52.0/257.8.52.1 to 7.8.52.1267.8.52.127126
1067.8.52.128/257.8.52.129 to 7.8.52.2547.8.52.255126
1077.8.53.0/257.8.53.1 to 7.8.53.1267.8.53.127126
1087.8.53.128/257.8.53.129 to 7.8.53.2547.8.53.255126
1097.8.54.0/257.8.54.1 to 7.8.54.1267.8.54.127126
1107.8.54.128/257.8.54.129 to 7.8.54.2547.8.54.255126
1117.8.55.0/257.8.55.1 to 7.8.55.1267.8.55.127126
1127.8.55.128/257.8.55.129 to 7.8.55.2547.8.55.255126
1137.8.56.0/257.8.56.1 to 7.8.56.1267.8.56.127126
1147.8.56.128/257.8.56.129 to 7.8.56.2547.8.56.255126
1157.8.57.0/257.8.57.1 to 7.8.57.1267.8.57.127126
1167.8.57.128/257.8.57.129 to 7.8.57.2547.8.57.255126
1177.8.58.0/257.8.58.1 to 7.8.58.1267.8.58.127126
1187.8.58.128/257.8.58.129 to 7.8.58.2547.8.58.255126
1197.8.59.0/257.8.59.1 to 7.8.59.1267.8.59.127126
1207.8.59.128/257.8.59.129 to 7.8.59.2547.8.59.255126
1217.8.60.0/257.8.60.1 to 7.8.60.1267.8.60.127126
1227.8.60.128/257.8.60.129 to 7.8.60.2547.8.60.255126
1237.8.61.0/257.8.61.1 to 7.8.61.1267.8.61.127126
1247.8.61.128/257.8.61.129 to 7.8.61.2547.8.61.255126
1257.8.62.0/257.8.62.1 to 7.8.62.1267.8.62.127126
1267.8.62.128/257.8.62.129 to 7.8.62.2547.8.62.255126
1277.8.63.0/257.8.63.1 to 7.8.63.1267.8.63.127126
1287.8.63.128/257.8.63.129 to 7.8.63.2547.8.63.255126
1297.8.64.0/257.8.64.1 to 7.8.64.1267.8.64.127126
1307.8.64.128/257.8.64.129 to 7.8.64.2547.8.64.255126
1317.8.65.0/257.8.65.1 to 7.8.65.1267.8.65.127126
1327.8.65.128/257.8.65.129 to 7.8.65.2547.8.65.255126
1337.8.66.0/257.8.66.1 to 7.8.66.1267.8.66.127126
1347.8.66.128/257.8.66.129 to 7.8.66.2547.8.66.255126
1357.8.67.0/257.8.67.1 to 7.8.67.1267.8.67.127126
1367.8.67.128/257.8.67.129 to 7.8.67.2547.8.67.255126
1377.8.68.0/257.8.68.1 to 7.8.68.1267.8.68.127126
1387.8.68.128/257.8.68.129 to 7.8.68.2547.8.68.255126
1397.8.69.0/257.8.69.1 to 7.8.69.1267.8.69.127126
1407.8.69.128/257.8.69.129 to 7.8.69.2547.8.69.255126
1417.8.70.0/257.8.70.1 to 7.8.70.1267.8.70.127126
1427.8.70.128/257.8.70.129 to 7.8.70.2547.8.70.255126
1437.8.71.0/257.8.71.1 to 7.8.71.1267.8.71.127126
1447.8.71.128/257.8.71.129 to 7.8.71.2547.8.71.255126
1457.8.72.0/257.8.72.1 to 7.8.72.1267.8.72.127126
1467.8.72.128/257.8.72.129 to 7.8.72.2547.8.72.255126
1477.8.73.0/257.8.73.1 to 7.8.73.1267.8.73.127126
1487.8.73.128/257.8.73.129 to 7.8.73.2547.8.73.255126
1497.8.74.0/257.8.74.1 to 7.8.74.1267.8.74.127126
1507.8.74.128/257.8.74.129 to 7.8.74.2547.8.74.255126
1517.8.75.0/257.8.75.1 to 7.8.75.1267.8.75.127126
1527.8.75.128/257.8.75.129 to 7.8.75.2547.8.75.255126
1537.8.76.0/257.8.76.1 to 7.8.76.1267.8.76.127126
1547.8.76.128/257.8.76.129 to 7.8.76.2547.8.76.255126
1557.8.77.0/257.8.77.1 to 7.8.77.1267.8.77.127126
1567.8.77.128/257.8.77.129 to 7.8.77.2547.8.77.255126
1577.8.78.0/257.8.78.1 to 7.8.78.1267.8.78.127126
1587.8.78.128/257.8.78.129 to 7.8.78.2547.8.78.255126
1597.8.79.0/257.8.79.1 to 7.8.79.1267.8.79.127126
1607.8.79.128/257.8.79.129 to 7.8.79.2547.8.79.255126
1617.8.80.0/257.8.80.1 to 7.8.80.1267.8.80.127126
1627.8.80.128/257.8.80.129 to 7.8.80.2547.8.80.255126
1637.8.81.0/257.8.81.1 to 7.8.81.1267.8.81.127126
1647.8.81.128/257.8.81.129 to 7.8.81.2547.8.81.255126
1657.8.82.0/257.8.82.1 to 7.8.82.1267.8.82.127126
1667.8.82.128/257.8.82.129 to 7.8.82.2547.8.82.255126
1677.8.83.0/257.8.83.1 to 7.8.83.1267.8.83.127126
1687.8.83.128/257.8.83.129 to 7.8.83.2547.8.83.255126
1697.8.84.0/257.8.84.1 to 7.8.84.1267.8.84.127126
1707.8.84.128/257.8.84.129 to 7.8.84.2547.8.84.255126
1717.8.85.0/257.8.85.1 to 7.8.85.1267.8.85.127126
1727.8.85.128/257.8.85.129 to 7.8.85.2547.8.85.255126
1737.8.86.0/257.8.86.1 to 7.8.86.1267.8.86.127126
1747.8.86.128/257.8.86.129 to 7.8.86.2547.8.86.255126
1757.8.87.0/257.8.87.1 to 7.8.87.1267.8.87.127126
1767.8.87.128/257.8.87.129 to 7.8.87.2547.8.87.255126
1777.8.88.0/257.8.88.1 to 7.8.88.1267.8.88.127126
1787.8.88.128/257.8.88.129 to 7.8.88.2547.8.88.255126
1797.8.89.0/257.8.89.1 to 7.8.89.1267.8.89.127126
1807.8.89.128/257.8.89.129 to 7.8.89.2547.8.89.255126
1817.8.90.0/257.8.90.1 to 7.8.90.1267.8.90.127126
1827.8.90.128/257.8.90.129 to 7.8.90.2547.8.90.255126
1837.8.91.0/257.8.91.1 to 7.8.91.1267.8.91.127126
1847.8.91.128/257.8.91.129 to 7.8.91.2547.8.91.255126
1857.8.92.0/257.8.92.1 to 7.8.92.1267.8.92.127126
1867.8.92.128/257.8.92.129 to 7.8.92.2547.8.92.255126
1877.8.93.0/257.8.93.1 to 7.8.93.1267.8.93.127126
1887.8.93.128/257.8.93.129 to 7.8.93.2547.8.93.255126
1897.8.94.0/257.8.94.1 to 7.8.94.1267.8.94.127126
1907.8.94.128/257.8.94.129 to 7.8.94.2547.8.94.255126
1917.8.95.0/257.8.95.1 to 7.8.95.1267.8.95.127126
1927.8.95.128/257.8.95.129 to 7.8.95.2547.8.95.255126
1937.8.96.0/257.8.96.1 to 7.8.96.1267.8.96.127126
1947.8.96.128/257.8.96.129 to 7.8.96.2547.8.96.255126
1957.8.97.0/257.8.97.1 to 7.8.97.1267.8.97.127126
1967.8.97.128/257.8.97.129 to 7.8.97.2547.8.97.255126
1977.8.98.0/257.8.98.1 to 7.8.98.1267.8.98.127126
1987.8.98.128/257.8.98.129 to 7.8.98.2547.8.98.255126
1997.8.99.0/257.8.99.1 to 7.8.99.1267.8.99.127126
2007.8.99.128/257.8.99.129 to 7.8.99.2547.8.99.255126
2017.8.100.0/257.8.100.1 to 7.8.100.1267.8.100.127126
2027.8.100.128/257.8.100.129 to 7.8.100.2547.8.100.255126
2037.8.101.0/257.8.101.1 to 7.8.101.1267.8.101.127126
2047.8.101.128/257.8.101.129 to 7.8.101.2547.8.101.255126
2057.8.102.0/257.8.102.1 to 7.8.102.1267.8.102.127126
2067.8.102.128/257.8.102.129 to 7.8.102.2547.8.102.255126
2077.8.103.0/257.8.103.1 to 7.8.103.1267.8.103.127126
2087.8.103.128/257.8.103.129 to 7.8.103.2547.8.103.255126
2097.8.104.0/257.8.104.1 to 7.8.104.1267.8.104.127126
2107.8.104.128/257.8.104.129 to 7.8.104.2547.8.104.255126
2117.8.105.0/257.8.105.1 to 7.8.105.1267.8.105.127126
2127.8.105.128/257.8.105.129 to 7.8.105.2547.8.105.255126
2137.8.106.0/257.8.106.1 to 7.8.106.1267.8.106.127126
2147.8.106.128/257.8.106.129 to 7.8.106.2547.8.106.255126
2157.8.107.0/257.8.107.1 to 7.8.107.1267.8.107.127126
2167.8.107.128/257.8.107.129 to 7.8.107.2547.8.107.255126
2177.8.108.0/257.8.108.1 to 7.8.108.1267.8.108.127126
2187.8.108.128/257.8.108.129 to 7.8.108.2547.8.108.255126
2197.8.109.0/257.8.109.1 to 7.8.109.1267.8.109.127126
2207.8.109.128/257.8.109.129 to 7.8.109.2547.8.109.255126
2217.8.110.0/257.8.110.1 to 7.8.110.1267.8.110.127126
2227.8.110.128/257.8.110.129 to 7.8.110.2547.8.110.255126
2237.8.111.0/257.8.111.1 to 7.8.111.1267.8.111.127126
2247.8.111.128/257.8.111.129 to 7.8.111.2547.8.111.255126
2257.8.112.0/257.8.112.1 to 7.8.112.1267.8.112.127126
2267.8.112.128/257.8.112.129 to 7.8.112.2547.8.112.255126
2277.8.113.0/257.8.113.1 to 7.8.113.1267.8.113.127126
2287.8.113.128/257.8.113.129 to 7.8.113.2547.8.113.255126
2297.8.114.0/257.8.114.1 to 7.8.114.1267.8.114.127126
2307.8.114.128/257.8.114.129 to 7.8.114.2547.8.114.255126
2317.8.115.0/257.8.115.1 to 7.8.115.1267.8.115.127126
2327.8.115.128/257.8.115.129 to 7.8.115.2547.8.115.255126
2337.8.116.0/257.8.116.1 to 7.8.116.1267.8.116.127126
2347.8.116.128/257.8.116.129 to 7.8.116.2547.8.116.255126
2357.8.117.0/257.8.117.1 to 7.8.117.1267.8.117.127126
2367.8.117.128/257.8.117.129 to 7.8.117.2547.8.117.255126
2377.8.118.0/257.8.118.1 to 7.8.118.1267.8.118.127126
2387.8.118.128/257.8.118.129 to 7.8.118.2547.8.118.255126
2397.8.119.0/257.8.119.1 to 7.8.119.1267.8.119.127126
2407.8.119.128/257.8.119.129 to 7.8.119.2547.8.119.255126
2417.8.120.0/257.8.120.1 to 7.8.120.1267.8.120.127126
2427.8.120.128/257.8.120.129 to 7.8.120.2547.8.120.255126
2437.8.121.0/257.8.121.1 to 7.8.121.1267.8.121.127126
2447.8.121.128/257.8.121.129 to 7.8.121.2547.8.121.255126
2457.8.122.0/257.8.122.1 to 7.8.122.1267.8.122.127126
2467.8.122.128/257.8.122.129 to 7.8.122.2547.8.122.255126
2477.8.123.0/257.8.123.1 to 7.8.123.1267.8.123.127126
2487.8.123.128/257.8.123.129 to 7.8.123.2547.8.123.255126
2497.8.124.0/257.8.124.1 to 7.8.124.1267.8.124.127126
2507.8.124.128/257.8.124.129 to 7.8.124.2547.8.124.255126
2517.8.125.0/257.8.125.1 to 7.8.125.1267.8.125.127126
2527.8.125.128/257.8.125.129 to 7.8.125.2547.8.125.255126
2537.8.126.0/257.8.126.1 to 7.8.126.1267.8.126.127126
2547.8.126.128/257.8.126.129 to 7.8.126.2547.8.126.255126
2557.8.127.0/257.8.127.1 to 7.8.127.1267.8.127.127126
2567.8.127.128/257.8.127.129 to 7.8.127.2547.8.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses